Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.jce.spec
Class ElGamalPrivateKeySpec

    java.lang.Object
      org.bouncycastle.jce.spec.ElGamalKeySpec
          org.bouncycastle.jce.spec.ElGamalPrivateKeySpec

All Implemented Interfaces:
  java.security.spec.KeySpec

    public class ElGamalPrivateKeySpec

extends ElGamalKeySpec

This class specifies an ElGamal private key with its associated parameters.

See Also:
  `ElGamalPublicKeySpec`

Constructor Summary
`ElGamalPrivateKeySpec(java.math.BigInteger x, ElGamalParameterSpec spec)`

Method Summary
`java.math.BigInteger` `getX()` Returns the private value `x`.

Methods inherited from class org.bouncycastle.jce.spec.ElGamalKeySpec
`getParams`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ElGamalPrivateKeySpec

    public ElGamalPrivateKeySpec(java.math.BigInteger x,
                                 ElGamalParameterSpec spec)

Method Detail

### getX

    public java.math.BigInteger getX()

  Returns the private value `x`.

  Returns:
    the private value `x`

Bouncy Castle Cryptography Library 1.45